package com.fjs.scenic.service.system;

import com.fjs.scenic.entity.system.Manage;
import com.fjs.scenic.service.common.BaseService;
import com.fjs.scenic.utils.ReturnResult;

import java.util.List;

/**
 * 管理员
 *
 * @author lfj
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
public interface ManageService extends BaseService<Manage> {

    public ReturnResult save(Manage manage);

    public Manage getMangerByAccount(String username);

    List<Manage> selectRepet(Manage manage);

    ReturnResult selfPage(Manage record, int currentPage, int pageSize);

    Manage selectLDJCManage();

    int freezeUnfreeza(Integer id, String status);

    boolean verifyPWD(String account, String oldPWD);

    boolean updatePWD(String account, String newPWD);

    int add1(Manage manage);

    int update1(Manage manage);

    int delete1(Integer id);

    List<Manage> queryAll1();

    Manage queryOne1(Integer id);

    Integer queryByPhone1(String phone);

    int updateStatus1(Integer id, String status);

    Manage getManeger(String account,String password);

    Integer queryByAccount(String account);
}
